# Tildelinux

**Linux, but tilde**
## User Commands
- `tl-setup` - Configures a tilde, can also be used to switch between configured
tildes
- `<tilde name> <command>` - Runs a command on a configured tilde, eg. 
`tilde.team bbj` or `tilde.town botany`. 
    - Can also be used to attach to an existing remote tmux session, eg. 
    `tilde.team tmux a`
## Screenshots
![Bootloader](scrots/bootloader.png)
![Desktop](scrots/desktop.png)
![Screnshot 1](scrots/tl1.png)
![Screenshot 2](scrots/tl2.png)

*Q: What is Tildelinux?*

A: Tildelinux is a Debian-based GNU+Linux distribution focused on connection to
and interaction with tildes, shared \*nix systems in the style of tilde.club


*Q: How is Tildelinux different from Debian?*

A: The main feature of Tildelinux is the integration of the tilde's remote
filesystem via sshfs, with the intention of allowing the user to interact with
the tilde as if it were their own computer. This has a few advantages: First, it
allows for a (mostly) portable computing experience -- since your files are
synced to a tilde, you can start work on one computer and pick up where you left
off on another. Second, the graphical user experience of Tildelinux allows for
more possibilities of interaction with a tilde, which are traditionally
text-only. Third, the lack of disk requirement combined with the minimal desktop
environment shipped by default allow for Tildelinux to be run on very low-power
systems, provided they have a sufficient internet connection.
 

*Q: How do I get Tildelinux?* 

A: The latest Tildelinux builds are located
[here](https://drone.tilde.club/builds). Tildelinux is offered as a persistent
live disk image which means you can have a fully functioning Tildelinux
distribution without having to install anything to a hard drive. Please note
that Tildelinux is still a work in progress and is not suitable for end-user use
quite yet. If you still want to try out Tildelinux, be mindful of the TODO list
below.


*Q: How do I contribute to Tildelinux*

A: The best way to contribute to Tildelinux is through pull requests to the
[lb-config](https://tildegit.org/tildelinux/lb-config) repo where most of the
development is done, as well as the #tildelinux irc channel on tilde.chat

### TODO
- uefi support
- tilde.town launcher port
- deeper fs integration
- better homedir integration
